# List of all items[−]

### Structs

- terminfo::TermInfo
- terminfo::TerminfoTerminal
- terminfo::parm::Variables

### Enums

- Attr
- terminfo::Error
- terminfo::parm::Param

### Traits

- Terminal

### Functions

- stderr
- stdout
- terminfo::parm::expand
- terminfo::parser::compiled::msys_terminfo
- terminfo::parser::compiled::parse
- terminfo::searcher::get_dbpath_for_term

### Typedefs

- StderrTerminal
- StdoutTerminal
- color::Color

### Statics

- terminfo::parser::compiled::boolfnames
- terminfo::parser::compiled::boolnames
- terminfo::parser::compiled::numfnames
- terminfo::parser::compiled::numnames
- terminfo::parser::compiled::stringfnames
- terminfo::parser::compiled::stringnames

### Constants

- color::BLACK
- color::BLUE
- color::BRIGHT_BLACK
- color::BRIGHT_BLUE
- color::BRIGHT_CYAN
- color::BRIGHT_GREEN
- color::BRIGHT_MAGENTA
- color::BRIGHT_RED
- color::BRIGHT_WHITE
- color::BRIGHT_YELLOW
- color::CYAN
- color::GREEN
- color::MAGENTA
- color::RED
- color::WHITE
- color::YELLOW

# Help

## Keyboard Shortcuts

`?`
  Show this help dialog
`S`
  Focus the search field
`↑`
  Move up in search results
`↓`
  Move down in search results
`↹`
  Switch tab
`⏎`
  Go to active search result
`+`
  Expand all sections
`-`
  Collapse all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)